com.sun.syndication.feed.atom

## Class Feed

- java.lang.Object
- - com.sun.syndication.feed.WireFeed
  - - com.sun.syndication.feed.atom.Feed

All Implemented Interfaces:
  Extendable, java.io.Serializable, java.lang.Cloneable

    public class Feed
    extends WireFeed

Bean for Atom feeds.

It handles Atom feeds version 0.3 without loosing any feed information.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Feed()` Default constructor, for bean cloning purposes only.
`Feed(java.lang.String type)` Feed Constructor.

### Method Summary

Methods
`java.util.List` `getAlternateLinks()` Returns the feed alternate links.
`java.util.List` `getAuthors()` Returns the feed author.
`java.util.List` `getCategories()` Returns the categories
`java.util.List` `getContributors()` Returns the feed contributors.
`java.lang.String` `getCopyright()` Returns the feed copyright (Atom 0.3, maps to `getRights()`).
`java.util.List` `getEntries()` Returns the feed entries.
`Generator` `getGenerator()` Returns the feed generator.
`java.lang.String` `getIcon()` Returns the icon
`java.lang.String` `getId()` Returns the feed ID.
`Content` `getInfo()` Returns the feed info (Atom 0.3 only)
`java.lang.String` `getLanguage()` Returns the feed language (Atom 0.3 only)
`java.lang.String` `getLogo()` Returns the logo
`java.util.Date` `getModified()` Returns the feed modified date (Atom 0.3, maps to `getUpdated()`).
`Module` `getModule(java.lang.String uri)` Returns the module identified by a given URI.
`java.util.List` `getModules()` Returns the feed modules.
`java.util.List` `getOtherLinks()` Returns the feed other links (non-alternate ones).
`java.lang.String` `getRights()` Returns the rights
`Content` `getSubtitle()` Returns the subtitle
`Content` `getTagline()` Returns the feed tag line (Atom 0.3, maps to `getSubtitle()`).
`java.lang.String` `getTitle()` Returns the feed title.
`Content` `getTitleEx()` Returns the feed title.
`java.util.Date` `getUpdated()` Returns the updated
`java.lang.String` `getXmlBase()` Returns the xmlBase
`void` `setAlternateLinks(java.util.List alternateLinks)` Sets the feed alternate links.
`void` `setAuthors(java.util.List authors)` Sets the feed author.
`void` `setCategories(java.util.List categories)` Set the categories
`void` `setContributors(java.util.List contributors)` Sets the feed contributors.
`void` `setCopyright(java.lang.String copyright)` Sets the feed copyright (Atom 0.3, maps to `setRights(java.lang.String)`).
`void` `setEntries(java.util.List entries)` Sets the feed entries.
`void` `setGenerator(Generator generator)` Sets the feed generator.
`void` `setIcon(java.lang.String icon)` Set the icon
`void` `setId(java.lang.String id)` Sets the feed ID.
`void` `setInfo(Content info)` Sets the feed info (Atom 0.3 only)
`void` `setLanguage(java.lang.String language)` Sets the feed language (Atom 0.3 only)
`void` `setLogo(java.lang.String logo)` Set the logo
`void` `setModified(java.util.Date modified)` Sets the feed modified date (Atom 0.3, maps to `setUpdated(java.util.Date)`).
`void` `setModules(java.util.List modules)` Sets the feed moduless.
`void` `setOtherLinks(java.util.List otherLinks)` Sets the feed other links (non-alternate ones).
`void` `setRights(java.lang.String rights)` Set the rights
`void` `setSubtitle(Content subtitle)` Set the subtitle
`void` `setTagline(Content tagline)` Sets the feed tagline (Atom 0.3, maps to `setSubtitle(com.sun.syndication.feed.atom.Content)`).
`void` `setTitle(java.lang.String title)` Sets the feed title.
`void` `setTitleEx(Content title)` Sets the feed title.
`void` `setUpdated(java.util.Date updated)` Set the updated
`void` `setXmlBase(java.lang.String xmlBase)` Set the xmlBase

### Methods inherited from class com.sun.syndication.feed.WireFeed

`clone, equals, getEncoding, getFeedType, getForeignMarkup, hashCode, setEncoding, setFeedType, setForeignMarkup, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Feed

    public Feed()

Default constructor, for bean cloning purposes only.

#### Feed

    public Feed(java.lang.String type)

Feed Constructor. All properties, except the type, are set to null.

Parameters:
  `type` - the type of the Atom feed.

### Method Detail

#### getLanguage

    public java.lang.String getLanguage()

Returns the feed language (Atom 0.3 only)

Returns:
  the feed language, null if none.

#### setLanguage

    public void setLanguage(java.lang.String language)

Sets the feed language (Atom 0.3 only)

Parameters:
  `language` - the feed language to set, null if none.

#### getTitle

    public java.lang.String getTitle()

Returns the feed title.

Returns:
  the feed title, null if none.

#### setTitle

    public void setTitle(java.lang.String title)

Sets the feed title.

Parameters:
  `title` - the feed title to set, null if none.

#### getTitleEx

    public Content getTitleEx()

Returns the feed title.

Returns:
  the feed title, null if none.

#### setTitleEx

    public void setTitleEx(Content title)

Sets the feed title.

Parameters:
  `title` - the feed title to set, null if none.

#### getAlternateLinks

    public java.util.List getAlternateLinks()

Returns the feed alternate links.

Returns:
  a list of Link elements with the feed alternate links, an empty list if none.

#### setAlternateLinks

    public void setAlternateLinks(java.util.List alternateLinks)

Sets the feed alternate links.

Parameters:
  `alternateLinks` - the list of Link elements with the feed alternate links to set, an empty list or null if none.

#### getOtherLinks

    public java.util.List getOtherLinks()

Returns the feed other links (non-alternate ones).

Returns:
  a list of Link elements with the feed other links (non-alternate ones), an empty list if none.

#### setOtherLinks

    public void setOtherLinks(java.util.List otherLinks)

Sets the feed other links (non-alternate ones).

Parameters:
  `otherLinks` - the list of Link elements with the feed other links (non-alternate ones) to set, an empty list or null if none.

#### getAuthors

    public java.util.List getAuthors()

Returns the feed author.

Returns:
  the feed author, null if none.

#### setAuthors

    public void setAuthors(java.util.List authors)

Sets the feed author.

Parameters:
  `authors` - the feed author to set, null if none.

#### getContributors

    public java.util.List getContributors()

Returns the feed contributors.

Returns:
  a list of Person elements with the feed contributors, an empty list if none.

#### setContributors

    public void setContributors(java.util.List contributors)

Sets the feed contributors.

Parameters:
  `contributors` - the list of Person elements with the feed contributors to set, an empty list or null if none.

#### getTagline

    public Content getTagline()

Returns the feed tag line (Atom 0.3, maps to `getSubtitle()`).

Returns:
  the feed tag line, null if none.

#### setTagline

    public void setTagline(Content tagline)

Sets the feed tagline (Atom 0.3, maps to `setSubtitle(com.sun.syndication.feed.atom.Content)`).

Parameters:
  `tagline` - the feed tagline to set, null if none.

#### getId

    public java.lang.String getId()

Returns the feed ID.

Returns:
  the feed ID, null if none.

#### setId

    public void setId(java.lang.String id)

Sets the feed ID.

Parameters:
  `id` - the feed ID to set, null if none.

#### getGenerator

    public Generator getGenerator()

Returns the feed generator.

Returns:
  the feed generator, null if none.

#### setGenerator

    public void setGenerator(Generator generator)

Sets the feed generator.

Parameters:
  `generator` - the feed generator to set, null if none.

#### getCopyright

    public java.lang.String getCopyright()

Returns the feed copyright (Atom 0.3, maps to `getRights()`).

Returns:
  the feed copyright, null if none.

#### setCopyright

    public void setCopyright(java.lang.String copyright)

Sets the feed copyright (Atom 0.3, maps to `setRights(java.lang.String)`).

Parameters:
  `copyright` - the feed copyright to set, null if none.

#### getInfo

    public Content getInfo()

Returns the feed info (Atom 0.3 only)

Returns:
  the feed info, null if none.

#### setInfo

    public void setInfo(Content info)

Sets the feed info (Atom 0.3 only)

Parameters:
  `info` - the feed info to set, null if none.

#### getModified

    public java.util.Date getModified()

Returns the feed modified date (Atom 0.3, maps to `getUpdated()`).

Returns:
  the feed modified date, null if none.

#### setModified

    public void setModified(java.util.Date modified)

Sets the feed modified date (Atom 0.3, maps to `setUpdated(java.util.Date)`).

Parameters:
  `modified` - the feed modified date to set, null if none.

#### getEntries

    public java.util.List getEntries()

Returns the feed entries.

Returns:
  a list of Entry elements with the feed entries, an empty list if none.

#### setEntries

    public void setEntries(java.util.List entries)

Sets the feed entries.

Parameters:
  `entries` - the list of Entry elements with the feed entries to set, an empty list or null if none.

#### getModules

    public java.util.List getModules()

Returns the feed modules.

Specified by:
  `getModules` in interface `Extendable`
Overrides:
  `getModules` in class `WireFeed`
Returns:
  a list of ModuleImpl elements with the feed modules, an empty list if none.

#### setModules

    public void setModules(java.util.List modules)

Sets the feed moduless.

Specified by:
  `setModules` in interface `Extendable`
Overrides:
  `setModules` in class `WireFeed`
Parameters:
  `modules` - the list of ModuleImpl elements with the feed moduless to set, an empty list or null if none.

#### getModule

    public Module getModule(java.lang.String uri)

Returns the module identified by a given URI.

Specified by:
  `getModule` in interface `Extendable`
Overrides:
  `getModule` in class `WireFeed`
Parameters:
  `uri` - the URI of the ModuleImpl.
Returns:
  The module with the given URI, null if none.

#### getCategories

    public java.util.List getCategories()

Returns the categories

Returns:
  Returns the categories.
Since:
  Atom 1.0

#### setCategories

    public void setCategories(java.util.List categories)

Set the categories

Parameters:
  `categories` - The categories to set.
Since:
  Atom 1.0

#### getIcon

    public java.lang.String getIcon()

Returns the icon

Returns:
  Returns the icon.
Since:
  Atom 1.0

#### setIcon

    public void setIcon(java.lang.String icon)

Set the icon

Parameters:
  `icon` - The icon to set.
Since:
  Atom 1.0

#### getLogo

    public java.lang.String getLogo()

Returns the logo

Returns:
  Returns the logo.
Since:
  Atom 1.0

#### setLogo

    public void setLogo(java.lang.String logo)

Set the logo

Parameters:
  `logo` - The logo to set.
Since:
  Atom 1.0

#### getRights

    public java.lang.String getRights()

Returns the rights

Returns:
  Returns the rights.
Since:
  Atom 1.0

#### setRights

    public void setRights(java.lang.String rights)

Set the rights

Parameters:
  `rights` - The rights to set.
Since:
  Atom 1.0

#### getSubtitle

    public Content getSubtitle()

Returns the subtitle

Returns:
  Returns the subtitle.
Since:
  Atom 1.0

#### setSubtitle

    public void setSubtitle(Content subtitle)

Set the subtitle

Parameters:
  `subtitle` - The subtitle to set.
Since:
  Atom 1.0

#### getUpdated

    public java.util.Date getUpdated()

Returns the updated

Returns:
  Returns the updated.
Since:
  Atom 1.0

#### setUpdated

    public void setUpdated(java.util.Date updated)

Set the updated

Parameters:
  `updated` - The updated to set.
Since:
  Atom 1.0

#### getXmlBase

    public java.lang.String getXmlBase()

Returns the xmlBase

Returns:
  Returns the xmlBase.
Since:
  Atom 1.0

#### setXmlBase

    public void setXmlBase(java.lang.String xmlBase)

Set the xmlBase

Parameters:
  `xmlBase` - The xmlBase to set.
Since:
  Atom 1.0